import requests, json
import os

# absolute_path_of_project = os.path.abspath('.')
#
# file_path = absolute_path_of_project + '/' + 'config'

# print(file_path)

def weather_api(city_name: str) -> dict:

    with open("/Users/handsomeboy/PycharmProjects/coursework2_test/config", "r", encoding="utf-8") as file:
        json_file = json.load(file)

    content = {}

    # joint a url
    weather_complete_url = json_file["url"][0]["weather_url"] + "appid=" + \
                           json_file["key"][0]["weather_api_key"] + "&q=" + \
                           city_name

    response = requests.get(weather_complete_url)
    weather_json = response.json()
    try:
        if weather_json["cod"] != "404":
            json_main = weather_json['main']
            content["current_temperature"] = json_main["temp"]
            content["current_pressure"] = json_main["pressure"]
            content["current_humidity"] = json_main["humidity"]
            json_weather = weather_json["weather"]
            content["weather_description"] = json_weather[0]["description"]
    except:
        print("error")

    print(content) #{'current_temperature': 280.48, 'current_pressure': 1005, 'current_humidity': 81, 'weather_description': 'moderate rain'}
    return content

def news_api():

    with open("/Users/handsomeboy/PycharmProjects/coursework2_test/config", "r", encoding="utf-8") as file:
        json_file = json.load(file)

    content = []

    news_complete_url = json_file["url"][0]["news_url"] + 'country=us&' + \
                        'apiKey=' + json_file["key"][0]["news_api_key"]

    response = requests.get(news_complete_url)

    news_json = response.json()

    try:
        if news_json['status'] == 'ok':
            content = [news_json['totalResults'], news_json['articles']]
            # print(news_json['articles'][0])
    except:
        print("Network bad")
    # print("content: ",content)
    return content

if __name__ == '__main__':
    weather_api("exeter")
    i = news_api()
    print(i)
